## AnjutaTreeComboBox AnjutaTreeComboBox |

## Functions

GtkWidget * | anjuta_tree_combo_box_new ()
void | anjuta_tree_combo_box_set_model ()
GtkTreeModel * | anjuta_tree_combo_box_get_model ()
void | anjuta_tree_combo_box_set_active ()
void | anjuta_tree_combo_box_set_active_iter ()
gboolean | anjuta_tree_combo_box_get_active_iter ()
void | anjuta_tree_combo_box_set_valid_function ()
void | anjuta_tree_combo_box_set_invalid_text ()

## Properties

GtkTreeModel * | model | Read / Write

## Signals

void | changed | Run Last
void | popdown | Action
void | popup | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── GtkToggleButton
                                ╰── AnjutaTreeComboBox

## Description

## Functions

### anjuta_tree_combo_box_new ()

    GtkWidget *
    anjuta_tree_combo_box_new (void);

#### Returns

### anjuta_tree_combo_box_set_model ()

    void
    anjuta_tree_combo_box_set_model (AnjutaTreeComboBox *combo,
                                     GtkTreeModel *model);

### anjuta_tree_combo_box_get_model ()

    GtkTreeModel *
    anjuta_tree_combo_box_get_model (AnjutaTreeComboBox *combo);

#### Returns

### anjuta_tree_combo_box_set_active ()

    void
    anjuta_tree_combo_box_set_active (AnjutaTreeComboBox *combo,
                                      gint index);

### anjuta_tree_combo_box_set_active_iter ()

    void
    anjuta_tree_combo_box_set_active_iter (AnjutaTreeComboBox *combo,
                                           GtkTreeIter *iter);

### anjuta_tree_combo_box_get_active_iter ()

    gboolean
    anjuta_tree_combo_box_get_active_iter (AnjutaTreeComboBox *combo,
                                           GtkTreeIter *iter);

#### Returns

### anjuta_tree_combo_box_set_valid_function ()

    void
    anjuta_tree_combo_box_set_valid_function
                                   (AnjutaTreeComboBox *combo,
                                    GtkTreeModelFilterVisibleFunc func,
                                    gpointer data,
                                    GDestroyNotify destroy);

### anjuta_tree_combo_box_set_invalid_text ()

    void
    anjuta_tree_combo_box_set_invalid_text
                                   (AnjutaTreeComboBox *combo,
                                    const gchar *str);

## Types and Values

## Property Details

### The `“model”` property

      “model”                    GtkTreeModel *

The model for the combo box.

Flags: Read / Write

## Signal Details

### The `“changed”` signal

    void
    user_function (AnjutaTreeComboBox *anjutatreecombobox,
                   gpointer            user_data)

Flags: Run Last

### The `“popdown”` signal

    void
    user_function (AnjutaTreeComboBox *anjutatreecombobox,
                   gpointer            user_data)

Flags: Action

### The `“popup”` signal

    void
    user_function (AnjutaTreeComboBox *anjutatreecombobox,
                   gpointer            user_data)

Flags: Action